Package org.eclipse.rdf4j.federated.evaluation.iterator

## Class FilteringIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<E,​X>
    - - org.eclipse.rdf4j.common.iteration.FilterIteration<BindingSet,​QueryEvaluationException>
      - - org.eclipse.rdf4j.federated.evaluation.iterator.FilteringIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`
  Direct Known Subclasses:
    `FilteringInsertBindingsIteration`

      public class FilteringIteration
      extends FilterIteration<BindingSet,​QueryEvaluationException>

  Filters iteration according to specified filterExpr.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected FilterValueExpr` | `filterExpr` |
    `protected FederationEvalStrategy` | `strategy` |

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilteringIteration​(FilterValueExpr filterExpr, CloseableIteration<BindingSet,​QueryEvaluationException> iter, FederationEvalStrategy strategy)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `accept​(BindingSet bindings)` | Tests whether or not the specified object should be returned by this Iteration.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.FilterIteration

      `handleClose, hasNext, next`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Field Detail

    - #### filterExpr

          protected final FilterValueExpr filterExpr

    - #### strategy

          protected final FederationEvalStrategy strategy

  - ### Constructor Detail

    - #### FilteringIteration

          public FilteringIteration​(FilterValueExpr filterExpr,
                                    CloseableIteration<BindingSet,​QueryEvaluationException> iter,
                                    FederationEvalStrategy strategy)
                             throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

  - ### Method Detail

    - #### accept

          protected boolean accept​(BindingSet bindings)
                            throws QueryEvaluationException

      Description copied from class: `FilterIteration`
      Tests whether or not the specified object should be returned by this Iteration. All objects from the wrapped Iteration pass through this method in the same order as they are coming from the wrapped Iteration.
      Specified by:
        `accept` in class `FilterIteration<BindingSet,​QueryEvaluationException>`
      Parameters:
        `bindings` - The object to be tested.
      Returns:
        true if the object should be returned, false otherwise.
      Throws:
        `QueryEvaluationException`